VirtualBox

Ticket #2212 (closed defect: fixed)

Opened 6 years ago

Last modified 4 years ago

VirtualBox.exe crashes VBoxSvc.exe on startup -> fixed in SVN/2.0.4

Reported by: kookyman Owned by:
Priority: blocker Component: other
Version: VirtualBox 2.0.2 Keywords:
Cc: Guest type: other
Host type: Windows

Description (last modified by sandervl73) (diff)

After installing v2.0.2 (does not happen with 1.6.2-6, 2.0.0), VirtualBox.exe seems to be crashing VBoxSVC on startup.

If I go straight to VirtualBox.exe, I get a Debug Dialog indicating VBoxSVC has had an unhandled exception, and offers to debug (I have VS2008 installed). After saying no to debugging, I am then prompted with a critical error from VirtualBox as it is unable to create a COM Object. Error: "Callee RC: CO_E_SERVER_EXEC_FAILURE (0x80080005)"

I am pretty sure that it isn't VBoxSvc crashing on its own as I can manually start VBoxSvc from the command line and it runs stable until VirtualBox or VBoxSDL is started, at which it crashes immediately.

I Uninstalled 166, installed 202, and had the crash. I then uninstalled 202 and installed 200, worked just fine. Upgraded (Installed over) back to 202 and its crashing again. Uninstalled 202 and deleted the three left over drivers in Win\System32, then rebooted installed, rebooted and tried and crashed.

I was in the chat room earlier trying to troubleshoot the issue and there was another individual with the exact same issue. This makes VBox 2.0.2 completely unusable.

TEMPORARY SOLUTION See  below.

Attachments

VirtualBox_2.0.2_critical_error.jpg Download (17.6 KB) - added by Xen0 6 years ago.
Error message when attempting to start VirtualBox on Vista 32 bit
VBoxSVC.exe_2.0.2_error_de.png Download (9.7 KB) - added by bitsfritz 6 years ago.
WinXP Error starting VBoxSVC.exe

Change History

comment:1 in reply to: ↑ description Changed 6 years ago by Onii

I have the exact same problem (I even tried pretty much the same steps with same results).

However I noticed that it happens only as non administrator (even when user is in "power users" group). With administrator account everything works as usual.

My operating system is XP 64bit using AMD64 version of virtualbox.

comment:2 Changed 6 years ago by rgesswein

My problem may be related. Just installed 2.0.2 and on my system VboxSvc.exe keeps taking up more and more CPU. Starts at about 7% and works its way up to about 40% before I give up and reboot the host. Did not happen with 2.0.0 so I've rolled back.

Note that even with all virtual machines closed the VboxSvc.exe CPU keeps increasing.

comment:3 Changed 6 years ago by seranor

I have the exact same problem (I even tried pretty much the same steps with same results).

And I am agree with Onii, it happens only with non administrative accounts.

Hope this will be fixed soon, I don't want to start VirtualBox as an administrator and the further versions solved this fine.

My operating system is XP 64bit using AMD64 version of virtualbox.

comment:4 Changed 6 years ago by sandervl73

Are all of you using XP 64? (rgesswein & kookyman)

comment:5 Changed 6 years ago by rgesswein

I'm running a Vista 32bit host (on an Intel laptop). Maybe that's why I'm not getting the full crash?

comment:6 Changed 6 years ago by tomc

Memory leak in VBoxSVC under 32bit Vista, about 4MB/min - even without starting any virtual machine. UAC enabled, running VirtualBox with administrative rights. Works fine on 2.0.0 version.

No problems with 2.0.2 under OS X 1.5.4

comment:7 Changed 6 years ago by sandervl73

Please discuss the memory leak in ticket #2242.

Changed 6 years ago by Xen0

Error message when attempting to start VirtualBox on Vista 32 bit

comment:8 Changed 6 years ago by Xen0

I get this with a fresh install of VirtualBox 2.0.2 on a new user account in the Administrator group (Vista 32-bit), even if I deliberately exclude the USB support.

(I cannot "not use" USB on the host, because my keyboard and mouse are USB-only).

I've been using 1.6.2 on the same machine since July with no problems whatsoever.

comment:9 Changed 6 years ago by kookyman

I'm using XP 32Bit on AMD Opteron 185 processor. (Dual Core 64Bit)

I am however running into this problem with an Administrative account, not a limited account unlike many others.

comment:10 Changed 6 years ago by bunn

I have this same error. I have XP x64 sp2. I am running the default administrator account in Windows. I recently added two host networking interfaces and bridged them, they disappeared when I updated to v2.02 from v2.0.

Another thing I noticed, I recently had an external USB HDD (I haven't had it plugged in during the VM being on though). I found this post which may be related:  http://www.virtualbox.org/ticket/1373

comment:11 Changed 6 years ago by SinRex

I am having the same issue with the AMD64 version of VirtualBox 2.0.2 However, I do not have any USB devices attached.

It will only run under administrator user credentials, which is unworkable for me.

My OS is 64-bit XP, and CPU is AMD Athlon64 x2 4800

Same variations of un/re/install attempted and with/without installing the USB component.

comment:12 Changed 6 years ago by kookyman

Oh, I should add that I do have an hostif, but it was obviously removed during the upgrade/installs. It really shouldn't matter though as I've also removed all my machine configs and disks. I also removed my VirtualBox config from my user\.virtualbox directory to make it not look for anything but still no change.

comment:13 Changed 6 years ago by jsimmons

I have the same issue on XP64 (Phenom 9850, 8GB RAM, no USB devices plugged in). I went from 1.64 to 2.02.

comment:14 Changed 6 years ago by k776

I'm getting the same issue with 2.0.2 (upgraded from 1.6.2).

Intel Centrino Duo 2GHz 2gb ram

Will have to use 2.0.0. What a shame :(

comment:15 Changed 6 years ago by k776

Hmm, I might have to wait a while. I'm getting the error on 2.0.0 as well. Downgrading to 1.6.6 for now. Hopefully a patch release will be available soon (I'm looking forward to 2.0.x).

(by the way, I'm on Windows XP SP3, and I downloaded the 2.0.2 and 2.0.0 x86 packs)

comment:16 follow-up: ↓ 21 Changed 6 years ago by frank

k776, please could you ensure to 100% that this crash happens with 2.0.0 as well? That is, uninstall the previous version completely, reboot and install 2.0.0. The check if you still observe these crashes (many others report they don't).

All: Are you sure that this crash does not happen with 2.0.0? And are you sure that this crash does not happen if you start VBoxSVC.exe manually?

comment:17 Changed 6 years ago by Xen0

2.0.0 starts normally for me, it does not crash. How should I start VBoxSVC.exe "manually"?

comment:18 Changed 6 years ago by frank

Manual start means to start the VBoxSVC.exe application from c:\program files\sun\xVM VirtualBox\VBoxSVC.exe. The next step is to start the VirtualBox.exe application from the same directory. Does it crash if you just start the GUI?

comment:19 Changed 6 years ago by sandervl73

Just start VBoxSVC.exe from the command line of Windows Explorer. kookyman mentioned VBoxSVC doesn't crash when launched separately; only when a client (VirtualBox.exe or VBoxSDL.exe) connects.

comment:20 Changed 6 years ago by Onii

I always upgraded to the new versions when they were released (i.e. just installed over the old version). I went from 1.6.4 to 2.0.0 without any problems. 2.0.0 to 2.0.2 the problem showed up. Deinstalled 2.0.2 and reinstalled, problem remains. Deinstalled 2.0.2 and reinstalled 2.0.0, no problem at all. I rebooted several times, though I can't tell if it was before the last 2.0.2 install; I might try that again, as well as starting VBoxSVC, when I come home later.

comment:21 in reply to: ↑ 16 ; follow-up: ↓ 44 Changed 6 years ago by bitsfritz

Replying to frank:

..

All: Are you sure that this crash does not happen with 2.0.0?

Can confirm

And are you sure that this crash does not happen if you start VBoxSVC.exe manually?

This one too

Celeron M 1150 WinXP Home SP1

comment:22 Changed 6 years ago by Onii

Ok, I did now a complete deinstall of 200, rebooted, removed three leftovers in system32/drivers, installed 202, login as non-administrator -> crash. Manually starting VBoxSVC is possible (checked with taskmgr), but it crashes when starting VirtualBox.exe. Using "runas" command to start Virtualbox.exe as administrator works flawlessly (no need to start anything manually). Now back to 200, since this works.

comment:23 Changed 6 years ago by Xen0

Starting VBoxSVC.exe manually works, but as before, and it continues to run until I start VirtualBox.exe, which then crashes exactly as before.

And this happens even when running logged in as Administrator, or otherwise.

comment:24 Changed 6 years ago by ruangwit

More info from Event Viewer Application Log:

Faulting application VBoxSVC.exe, version 1.0.0.1, time stamp 0x48ca747a, faulting module VBoxSVC.exe, version 1.0.0.1, time stamp 0x48ca747a, exception code 0xc0000005, fault offset 0x000c43ad, process id 0x16ec, application start time 0x01c91888d80d1532.

Log Name: Application Source: Application Error Date: 17/09/2008 12:47:18 Event ID: 1000 Task Category: (100) Level: Error Keywords: Classic User: N/A Computer: Lek-M1330 Description: Faulting application VBoxSVC.exe, version 1.0.0.1, time stamp 0x48ca747a, faulting module VBoxSVC.exe, version 1.0.0.1, time stamp 0x48ca747a, exception code 0xc0000005, fault offset 0x000c43ad, process id 0x16ec, application start time 0x01c91888d80d1532. Event Xml: <Event xmlns=" http://schemas.microsoft.com/win/2004/08/events/event">

<System>

<Provider Name="Application Error" /> <EventID Qualifiers="0">1000</EventID> <Level>2</Level> <Task>100</Task> <Keywords>0x80000000000000</Keywords> <TimeCreated SystemTime="2008-09-17T05:47:18.000Z" /> <EventRecordID>11294</EventRecordID> <Channel>Application</Channel> <Computer>Lek-M1330</Computer> <Security />

</System> <EventData>

<Data>VBoxSVC.exe</Data> <Data>1.0.0.1</Data> <Data>48ca747a</Data> <Data>VBoxSVC.exe</Data> <Data>1.0.0.1</Data> <Data>48ca747a</Data> <Data>c0000005</Data> <Data>000c43ad</Data> <Data>16ec</Data> <Data>01c91888d80d1532</Data>

</EventData>

</Event>

comment:27 Changed 6 years ago by kookyman

Just tried it, and I'm now running with 2.0.2+Test files.

Hope it works for everyone else!

comment:29 Changed 6 years ago by sandervl73

  • Summary changed from VirtualBox.exe crashes VBoxSvc.exe on startup to VirtualBox.exe crashes VBoxSvc.exe on startup -> fixed in SVN/2.0.4

comment:31 Changed 6 years ago by sandervl73

Could you execute comregister.cmd in the VBox directory?

comment:32 Changed 6 years ago by sandervl73

Ok, that's probably not going to work. I'll rebuild the binaries tomorrow.

comment:33 Changed 6 years ago by sandervl73

kookyman. Sorry, deleted you comment by accident. Got rid of the urls to the fix. Wait until tomorrow please.

comment:34 Changed 6 years ago by kookyman

Sandervl73 -

Earlier I tried that test case and was able to start VirutalBox. Just now I actually tried to /use/ VirutalBox and its unusable. Almost everything I do comes up with failure message of ClassNotReg. Here is the exact dialog box: (Not attached so its easier to reference)

Box Description: VirtualBox-Error Text: <Red X Icon> Failed to create a new session. Textbox: Callee RC: REGDB_E_CLASSNOTREG (0x80040154)

This pops up when I try to:

  • Start a Guest VM
  • Go into the settings for a VM
  • Release a CD Image (Removal Works on non-assigned)
  • Release a HD Image (Removal Works on non-assigned)

I can create a new VM, but can not change it afterwords. I also can't delete VMs.

While the testcase files may solve the problem of being unable to start VirtualBox, it doesn't appear to make VirtualBox usable.

(Comment re-added due to accidental deletion)

comment:35 follow-up: ↓ 65 Changed 6 years ago by sandervl73

Attempt nr 2; you can download replacement files for VBoxSVC.exe & VBoxC.dll:

They fix the following:

  • memory leak in VBoxSVC.exe
  • startup delay when starting VirtualBox
  • the startup crash mentioned in this defect.

Copy both files to "Program Files\Sun\xVM VirtualBox". Make a backup copy of the old ones first. In Vista you need admin privileges to replace them.

comment:36 follow-up: ↓ 48 Changed 6 years ago by sandervl73

  • Description modified (diff)

comment:37 Changed 6 years ago by k776

sandervl73, the Win32 zip file in your above post have fixed the problems. Will use this for now, and upgrade to next version when released. Nice job!

2.0.x feels a lot more responsive. The gitteryness I was getting it much less now.

comment:40 Changed 6 years ago by luminoso

@09/18/08 10:06:08 changed by sandervl73 :

I also confirm that the fix works. Thank you.

comment:41 Changed 6 years ago by theJC

I've also had success after applying this fix.

Thank you very much sandervl73.

Going to "Help" and "About VirtualBox" is reporting the version is 2.0.3.

comment:42 Changed 6 years ago by Onii

Works like a charm!

comment:43 follow-up: ↓ 51 Changed 6 years ago by geckoespresso

Negative here.

On one of my two PCs, version 2.0.2 worked unmodified, i.e. in its original state.

On the other PC, even the latest patch doesn't help. It fixed the CO_E_SERVER_EXEC_FAILURE, but not the REGDB_E_CLASSNOTREG.

As mentioned by others already, 1.6.6 works fine.

comment:44 in reply to: ↑ 21 ; follow-up: ↓ 47 Changed 6 years ago by bitsfritz

Replying to bitsfritz:

Replying to frank:

..

All: Are you sure that this crash does not happen with 2.0.0?

Can confirm

And are you sure that this crash does not happen if you start VBoxSVC.exe manually?

New here (German version - which should not be a problem ;o)) ): Error:

Der Prozedureinsprungpunkt "GetSystemTimes" wurde in der DLL "KERNEL32.dll" nicht gefunden

No Change starting Virtualbox.exe. CO_E_SERVER_EXEC_FAILURE shows up

Celeron M 1150 WinXP Home SP1

Changed 6 years ago by bitsfritz

WinXP Error starting VBoxSVC.exe

comment:45 Changed 6 years ago by riccardo65

I confirm that the fix works great on XP64. Many thanks!

comment:46 Changed 6 years ago by btsai

sandervl73,

your fixes in your zip worked well - i had the same win32 unhandled exception in VBoxSVC.exe when i started up (even before installing any os), and now VirtualBox will start up without throwing this exception.

thanks

comment:47 in reply to: ↑ 44 ; follow-up: ↓ 49 Changed 6 years ago by sandervl73

Replying to bitsfritz:

New here (German version - which should not be a problem ;o)) ): Error:

Der Prozedureinsprungpunkt "GetSystemTimes" wurde in der DLL "KERNEL32.dll" nicht gefunden

No Change starting Virtualbox.exe. CO_E_SERVER_EXEC_FAILURE shows up

Celeron M 1150 WinXP Home SP1

According to Microsoft this function should be present in SP1 (not in XP without fixpacks though; we've fixed this in a later revision of our code).

I will upload new binaries on Monday.

comment:48 in reply to: ↑ 36 Changed 6 years ago by seranor

Replying to sandervl73: Thank you for the fix, it works fine on my XP64 installation.

By the way, I love VirtualBox!

Regards

Seranor

comment:49 in reply to: ↑ 47 Changed 6 years ago by bitsfritz

Replying to sandervl73:

Replying to bitsfritz:

Error:

Der Prozedureinsprungpunkt "GetSystemTimes" wurde in der DLL "KERNEL32.dll" nicht gefunden

...

Celeron M 1150 WinXP Home SP1

According to Microsoft this function should be present in SP1 (not in XP without fixpacks though; we've fixed this in a later revision of our code).

fine - more hardened VirtualBox! :o))

I'm not shure whether this is a SP1. In systemsettings->Software SP1 entries are present, My Computer->Properties does not show SP1 Information.
If useful to You I make sure, what's up.

I will upload new binaries on Monday.

fine!

I'm testing VirtualBox on a low resource machine (Notebook 256M of ram), so issues concernig stability on such a poor system are likely to show up here.

comment:50 follow-up: ↓ 52 Changed 6 years ago by sandervl73

I've updated the binaries pointed to by  http://www.virtualbox.org/ticket/2212#comment:35 . People running XP without any fixpacks will be able to use them now. I do recommend updating to at least SP2 though.

comment:51 in reply to: ↑ 43 Changed 6 years ago by geckoespresso

Replying to geckoespresso:

On the other PC, even the latest patch doesn't help. It fixed the CO_E_SERVER_EXEC_FAILURE, but not the REGDB_E_CLASSNOTREG.

For your information: The latest patch of 2008-09-23 fixes this issue as well.

comment:52 in reply to: ↑ 50 Changed 6 years ago by bitsfritz

concerning bitsfritz:
concerning bitsfritz:
Replying to sandervl73:

I've updated the binaries pointed to by  http://www.virtualbox.org/ticket/2212#comment:35 . People running XP without any fixpacks will be able to use them now.

can confirm all works fine now.

I do recommend updating to at least SP2 though.

I have to prepare an image for unknown XP-Boxes. So it's a good thing Virtualbox runs on them no matter what patchlevel they carry.

Thanks for Your efforts.

comment:53 Changed 6 years ago by yopper

Thank'you very much for this fix..

I work on Vista Enterprise 64bit + SP1 with last updates installed and I can confirm that this fix work.

Before, I have high CPU usage and high memory allocated problem for VBoxSvc.exe process (like 80% CPU both core and up to 750MB of RAM) now all is ok (RAM 5MB and CPU 0%)

Thank's a lot

PS sorry for my poor english

comment:54 Changed 6 years ago by 4eversr

Hello,

I´ve the same problem with my full-patched Windows XP SP3 installation. When i try to extract the Win32.zip-Patch I get an error that the zip-file is faulty. I tried to download the zip-File at another computer, but same error there.

PS: Sorry for my poor english.

comment:55 Changed 6 years ago by 4eversr

Ah...Decompressing with WinRar worked for me...

comment:56 Changed 6 years ago by cw33514

Where do I get the fix for this problem? Windows XP running SP3 and all patches applied. VirtialBox 2.0.2 fails on first execution with 0x80080005

comment:57 Changed 6 years ago by sandervl73

Click on the link in the description of the defect...

comment:58 follow-up: ↓ 63 Changed 6 years ago by cw33514

Sandervl73,

Thanks, I have done as you advised, but the vboxsvc32.zip file is "not a valid archive" according to Winzip32 version 9.0 SR-1 (6224). Can I obtain the fix another way?

comment:59 Changed 6 years ago by sandervl73

Try to unzip them with the Windows Explorer. (that's how I packed them in the first place)

comment:60 Changed 6 years ago by cw33514

Savdervl73,

I have tried that; the error message is "the compressed (zipped) folder is invalid or corrupted".

Can you make the zip file contents available as individual files, or perhaps just send them to my email address?

Thanks again

comment:61 Changed 6 years ago by sandervl73

Both zip files are fine. I just downloaded and unzipped them again. Have you tried downloading them again?

comment:62 Changed 6 years ago by cw33514

Savdervl73,

Yes, I have downloaded the vboxsvc32.zip file again, but is still errors as not a vlaid archive

comment:63 in reply to: ↑ 58 Changed 6 years ago by bitsfritz

Replying to cw33514:

Thanks, I have done as you advised, but the vboxsvc32.zip file is "not a valid archive" according to Winzip32 version 9.0 SR-1 (6224).

No Problem here (ubuntu Linux):
zip (Zip 2.32)
7zip (7-Zip 4.51 beta)

Can I obtain the fix another way?

I would recommend to use 7-zip ( http://www.7-zip.org/ - Open Source - free of charge)

comment:64 Changed 6 years ago by Tboo

I don't know if this is still a problem, but i have solved this without using the fixed files. After i installed VB202 i tried to start and it didn't work. Then i started the setup file again and chose "repair" in the installing dialogue. After VBox beeing repaired i started it again and it still didn't work. At this point i started the setup file once again and then chose "Remove". After that reinstalling and starting VBox worked fine. And, by the way, i installed it to a new path.

When version 1.6 was the newest release i had the same problem and solved by deleting all entries containing "Vbox" or "virtualbox" from the registry. I don't know why this worked but it did.

Maybe this is a help for the one or the other.

comment:65 in reply to: ↑ 35 Changed 6 years ago by localhost

Just wanted to confirm this fixes the problem for me on Vista Home Premium 32 on a AMD Athlon 64X2. I have no problem extracting the files using WinRar.

comment:66 Changed 5 years ago by frank

  • Status changed from new to closed
  • Resolution set to fixed

comment:67 Changed 5 years ago by ndousis

  • Status changed from closed to reopened
  • Resolution fixed deleted

Hello,

In VirtualBox 2.1 and 2.2, VBoxSVC.exe uses 100% of 1 CPU core. I'm also using an external USB audio controller, which seems to be correlated with my problem. I read here ( http://forums.virtualbox.org/viewtopic.php?p=23861) that 100% CPU utilization may result when another program using sound is running when a VM is started.

Configuration:

  • Intel Core 2 Duo
  • VirtualBox 2.2.0 r45846
  • host: Windows Vista 64-bit Home Premium SP1
  • guests:
    • 32-bit Windows XP Pro SP3
    • 32-bit Ubuntu 8.10
  • C-Media CM106 USB 3D audio controller (Toshiba Dynadock)

Matrix of scenarios that I've tested: scenario guest VM USB audio VBoxSVC.exe 1 on (WinXP or Ubuntu) on 100% CPU 2 on (WinXP or Ubuntu) off normal 3 off on or off normal

comment:68 Changed 5 years ago by ndousis

Sorry, my formatting got completely messed up. Let me try again:

Hello,

In VirtualBox 2.1 and 2.2, VBoxSVC.exe uses 100% of 1 CPU core. I'm also using an external USB audio controller, which seems to be correlated with my problem. I read here ( http://forums.virtualbox.org/viewtopic.php?p=23861) that 100% CPU utilization may result when another program using sound is running when a VM is started.

Configuration:

  • Intel Core 2 Duo
  • VirtualBox 2.2.0 r45846
  • host: Windows Vista 64-bit Home Premium SP1
  • guests:
    • 32-bit Windows XP Pro SP3
    • 32-bit Ubuntu 8.10
  • C-Media CM106 USB 3D audio controller (Toshiba Dynadock)

Matrix of scenarios that I've tested:

scenario guest VM USB audio VBoxSVC.exe
1 on (WinXP or Ubuntu) on 100% CPU
2 on (WinXP or Ubuntu) off normal
3 off on or off normal

comment:69 Changed 5 years ago by frank

  • Status changed from reopened to closed
  • Resolution set to fixed

ndousis, please open another bug report. The original report was about crashes of the VBoxSVC daemon. Your problem seems to be different. I doubt that USB is related to your problem. Older VBox versions generated a high CPU load if the USB controller in the guest was enabled, but this was fixed with VirtualBox 2.2.0.

And, before you create another ticket, please first check if VirtualBox 2.2.2 changes anything for you.

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use